Tickets
These API endpoints are related to tickets on Omniplex
Gets a support ticket. Requires you to be the author of the ticket or have the 'staff' permission
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe ticket's ID
Success
application/json- response
author?channel_id?stringclose_user?created_at?stringdate-timeid?stringissue?stringmentions?messages?array<>open?booleanticket_context?topic_id?stringcurl -X GET 'https://spider.omniplex.gg/tickets/string'{ "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "channel_id": "string", "close_user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "created_at": "2019-08-24T14:15:22Z", "id": "string", "issue": "string", "mentions": { "channels": { "property1": "string", "property2": "string" }, "roles": { "property1": { "color": 0, "name": "string" }, "property2": { "color": 0, "name": "string" } }, "users": { "property1": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "property2": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } }, "messages": [ { "attachments": [ { "content_type": "string", "errors": [ "string" ], "id": "string", "name": "string", "size": 0 } ], "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "author_id": "string", "content": "string", "embeds": [ { "author": { "icon_url": "string", "name": "string", "proxy_icon_url": "string", "url": "string" }, "color": 0, "description": "string", "fields": [ { "inline": true, "name": "string", "value": "string" } ], "footer": { "icon_url": "string", "proxy_icon_url": "string", "text": "string" }, "image": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "provider": { "name": "string", "url": "string" }, "thumbnail": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "timestamp": "2019-08-24T14:15:22Z", "title": "string", "type": "string", "url": "string", "video": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 } } ], "id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "open": true, "ticket_context": { "property1": "string", "property2": "string" }, "topic_id": "string"}Closes or reopens a ticket. The author may close their own ticket; reopening requires staff. Returns 204 on success.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe ticket's ID.
application/json- body
open?booleanSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/tickets/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Returns the predefined list of topics a ticket can be filed under.
Success
application/json- response
topics?array<>curl -X GET 'https://spider.omniplex.gg/tickets/topics'{ "topics": [ { "id": "string", "name": "string" } ]}Replies to a ticket. Requires being the ticket's author or staff with the 'manage_tickets' permission. Returns 204 on success.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
id*stringThe ticket's ID.
application/json- body
content?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/tickets/string/messages' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets every ticket platform-wide. Requires the 'view_tickets' staff permission. Called through the staff panel.
open?stringFilter to open (true) or closed (false) tickets only. Omit for all tickets.
page?stringThe page number, 1-indexed.
Success
application/json- response
tickets?array<>curl -X GET 'https://spider.omniplex.gg/staff/tickets'{ "tickets": [ { "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "channel_id": "string", "close_user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "created_at": "2019-08-24T14:15:22Z", "id": "string", "issue": "string", "mentions": { "channels": { "property1": "string", "property2": "string" }, "roles": { "property1": { "color": 0, "name": "string" }, "property2": { "color": 0, "name": "string" } }, "users": { "property1": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "property2": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } }, "messages": [ { "attachments": [ { "content_type": "string", "errors": [ "string" ], "id": "string", "name": "string", "size": 0 } ], "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "author_id": "string", "content": "string", "embeds": [ { "author": { "icon_url": "string", "name": "string", "proxy_icon_url": "string", "url": "string" }, "color": 0, "description": "string", "fields": [ { "inline": true, "name": "string", "value": "string" } ], "footer": { "icon_url": "string", "proxy_icon_url": "string", "text": "string" }, "image": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "provider": { "name": "string", "url": "string" }, "thumbnail": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "timestamp": "2019-08-24T14:15:22Z", "title": "string", "type": "string", "url": "string", "video": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 } } ], "id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "open": true, "ticket_context": { "property1": "string", "property2": "string" }, "topic_id": "string" } ]}Gets any support ticket. Requires the 'view_tickets' staff permission. Called through the staff panel.
id*stringThe ticket's ID
Success
application/json- response
author?channel_id?stringclose_user?created_at?stringdate-timeid?stringissue?stringmentions?messages?array<>open?booleanticket_context?topic_id?stringcurl -X GET 'https://spider.omniplex.gg/staff/tickets/string'{ "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "channel_id": "string", "close_user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "created_at": "2019-08-24T14:15:22Z", "id": "string", "issue": "string", "mentions": { "channels": { "property1": "string", "property2": "string" }, "roles": { "property1": { "color": 0, "name": "string" }, "property2": { "color": 0, "name": "string" } }, "users": { "property1": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "property2": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } }, "messages": [ { "attachments": [ { "content_type": "string", "errors": [ "string" ], "id": "string", "name": "string", "size": 0 } ], "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "author_id": "string", "content": "string", "embeds": [ { "author": { "icon_url": "string", "name": "string", "proxy_icon_url": "string", "url": "string" }, "color": 0, "description": "string", "fields": [ { "inline": true, "name": "string", "value": "string" } ], "footer": { "icon_url": "string", "proxy_icon_url": "string", "text": "string" }, "image": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "provider": { "name": "string", "url": "string" }, "thumbnail": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "timestamp": "2019-08-24T14:15:22Z", "title": "string", "type": "string", "url": "string", "video": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 } } ], "id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "open": true, "ticket_context": { "property1": "string", "property2": "string" }, "topic_id": "string"}Closes or reopens any support ticket. Requires the 'manage_tickets' staff permission. Called through the staff panel.
id*stringThe ticket's ID.
application/json- body
open?booleanSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X PATCH 'https://spider.omniplex.gg/staff/tickets/string' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Replies to any support ticket as the signed-in staff member. Requires the 'manage_tickets' staff permission. Called through the staff panel.
id*stringThe ticket's ID.
application/json- body
content?stringSuccess
application/json- response
context?Context of the error. Usually used for validation error contexts
message?stringMessage of the error
curl -X POST 'https://spider.omniplex.gg/staff/tickets/string/messages' \ -H 'Content-Type: application/json' \ -d '{}'{ "context": { "property1": "string", "property2": "string" }, "message": "string"}Gets every ticket the given user has opened.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
user_id*stringThe ID of the user.
Success
application/json- response
tickets?array<>curl -X GET 'https://spider.omniplex.gg/users/string/tickets'{ "tickets": [ { "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "channel_id": "string", "close_user": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "created_at": "2019-08-24T14:15:22Z", "id": "string", "issue": "string", "mentions": { "channels": { "property1": "string", "property2": "string" }, "roles": { "property1": { "color": 0, "name": "string" }, "property2": { "color": 0, "name": "string" } }, "users": { "property1": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "property2": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" } } }, "messages": [ { "attachments": [ { "content_type": "string", "errors": [ "string" ], "id": "string", "name": "string", "size": 0 } ], "author": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "author_id": "string", "content": "string", "embeds": [ { "author": { "icon_url": "string", "name": "string", "proxy_icon_url": "string", "url": "string" }, "color": 0, "description": "string", "fields": [ { "inline": true, "name": "string", "value": "string" } ], "footer": { "icon_url": "string", "proxy_icon_url": "string", "text": "string" }, "image": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "provider": { "name": "string", "url": "string" }, "thumbnail": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 }, "timestamp": "2019-08-24T14:15:22Z", "title": "string", "type": "string", "url": "string", "video": { "height": 0, "proxy_url": "string", "url": "string", "width": 0 } } ], "id": "string", "timestamp": "2019-08-24T14:15:22Z" } ], "open": true, "ticket_context": { "property1": "string", "property2": "string" }, "topic_id": "string" } ]}Opens a new standalone support ticket. Returns the new ticket's ID.
UserUser-Auth<token>Requires a user token. Should be prefixed with User in Authorization header.
user_id*stringThe ID of the user opening the ticket.
application/json- body
issue?stringmessage?stringtopic?stringSuccess
application/json- response
id?stringcurl -X POST 'https://spider.omniplex.gg/users/string/tickets' \ -H 'Content-Type: application/json' \ -d '{}'{ "id": "string"}